Get api v2 flux Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.plannrcrm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "PlannrCRM MCP server": {
    "url": "https://apidocs.plannrcrm.com/mcp"
  }
}

Close
GET /api/v2/flux
application/json

Body

  • model_type string Required

    The model type. Can be: account, plan, or circle.

  • model_uuid string(uuid) Required

    The model UUID

  • start_date string(date) Required

    Filter them down by choosing the start date. This will return all fluxes between the start and end date.

  • end_date string(date) Required

    Filter them down by choosing the end date.

  • filter.include_inactive boolean

    Include transactions from inactive plans. When true, only transactions that occurred before the plan became inactive are included.

  • filter.transaction_types string

    Filter by transaction types. Accepts an array or comma-separated string.

    Value Description
    adjustment Adjustment
    adviser_fee Adviser Fee
    contribution Contribution
    corporate_action Corporate Action
    distribution Distribution
    fee Fee
    income Income
    payment Payment
    provider_fee Provider Fee
    rebate Rebate
    trade Trade
    transfer Transfer
    withdrawal Withdrawal
    other Other

    Values are adjustment, adviser_fee, contribution, corporate_action, distribution, fee, income, payment, provider_fee, rebate, trade, transfer, withdrawal, or other.

  • filter.include_premiums boolean

    Include premiums from eligible plans (investments, annuities, cash accounts, pensions, mortgages) in the inflows calculation. Pension group schemes and group scheme members are excluded. Premiums are calculated based on occurrences within the date range.

Responses

  • 401 application/json
    Hide response attribute Show response attribute object
    • message string Required

      A human-readable description of the error.

  • 422 application/json

    Validation error

    Hide response attributes Show response attributes object
    • message string Required

      A human-readable description of the error.

    • errors object

      Validation messages keyed by the field that failed.

      Hide errors attribute Show errors attribute object
      • * array[string] Additional properties
GET /api/v2/flux
curl \
 --request GET 'https://api.plannrcrm.com/api/v2/flux' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data '{"model_type":"account","model_uuid":"fa7fb060-a0df-4781-864d-4fdbaf2154cd","start_date":"2026-07-29","end_date":"2026-08-05","filter.include_inactive":false,"filter.transaction_types":"adjustment","filter.include_premiums":false}'
Request examples
{
  "model_type": "account",
  "model_uuid": "fa7fb060-a0df-4781-864d-4fdbaf2154cd",
  "start_date": "2026-07-29",
  "end_date": "2026-08-05",
  "filter.include_inactive": false,
  "filter.transaction_types": "adjustment",
  "filter.include_premiums": false
}
Response examples (401)
{
  "message": "Unauthenticated."
}
Response examples (422)
{
  "message": "The given data was invalid.",
  "errors": {
    "field": [
      "The field is invalid."
    ]
  }
}